﻿using PrecastConcretePlantContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PrecastConcretePlantBusinessLogic.OfficePackage.HelperModels
{
    public class PdfInfoOrders
    {
        public string FileName { get; set; } = string.Empty;
        public string Title { get; set; } = string.Empty;
        public DateTime DateFrom { get; set; }
        public DateTime DateTo { get; set; }
        public List<ReportOrdersViewModel> Orders { get; set; } = new();

        public static implicit operator PdfInfo(PdfInfoOrders orders)
        {
            return new PdfInfo()
            {
                DateFrom = orders.DateFrom,
                DateTo = orders.DateTo,
                FileName = orders.FileName,
                Title = orders.Title
            };
        }
        public List<ReportGroupOrdersViewModel> DateOrders { get; set; } = new();
    }
}
