﻿using PrecastConcretePlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PrecastConcretePlantContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public string Name { get; set; } = string.Empty;

        public string Address { get; set; } = string.Empty;
        public int ReinforcedMaxCount { get; set; }

        public DateTime DateOpening { get; set; } = DateTime.Now;

        public Dictionary<int, (IReinforcedModel, int)> ShopReinforcedies { get; set; } = new();


        public int Id { get; set; }
    }
}
