﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PrecastConcretePlantDataModels.Models
{
    public interface IShopModel : IId
    {
        string Name { get; }
        string Address { get; }
        public int ReinforcedMaxCount { get; }
        DateTime DateOpening { get; }
        Dictionary<int, (IReinforcedModel, int)> ShopReinforcedies { get; }

    }
}
